package com.sifang.modules.sunshine.partnerManagement.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "crm_partner")
public class CrmPartner implements Serializable {

    private String id;

    private String authType;

    private String userId;

    private String name;

    private String mobile;

    private String personInCharge;

    private String province;

    private String city;

    private String area;

    private String address;

    private String logo;

    private String authorizedId;

    private String status;

    private Date createTime;

    private String creator;

    private String createBy;

    private Date updateTime;

    private String updateName;

    private String updateBy;

    private String certificationImg;
    private String certificationImgName;
    private String unifiedCreditCode;

    private String overageFlag;
    private String isOpenBankCard;


    private Integer failCreateAge;
    private Integer needSignerAge;

    private Integer signerConditionAge;

    private String tenantFlag;


    private String ifSignContract;


    public String getIfSignContract() {
        return ifSignContract;
    }

    public void setIfSignContract(String ifSignContract) {
        this.ifSignContract = ifSignContract;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAuthType() {
        return authType;
    }

    public void setAuthType(String authType) {
        this.authType = authType;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getPersonInCharge() {
        return personInCharge;
    }

    public void setPersonInCharge(String personInCharge) {
        this.personInCharge = personInCharge;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getAuthorizedId() {
        return authorizedId;
    }

    public void setAuthorizedId(String authorizedId) {
        this.authorizedId = authorizedId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getOverageFlag() {
        return overageFlag;
    }

    public void setOverageFlag(String overageFlag) {
        this.overageFlag = overageFlag;
    }

    public String getCertificationImg() {
        return certificationImg;
    }

    public void setCertificationImg(String certificationImg) {
        this.certificationImg = certificationImg;
    }

    public String getUnifiedCreditCode() {
        return unifiedCreditCode;
    }

    public void setUnifiedCreditCode(String unifiedCreditCode) {
        this.unifiedCreditCode = unifiedCreditCode;
    }

    public String getCertificationImgName() {
        return certificationImgName;
    }

    public void setCertificationImgName(String certificationImgName) {
        this.certificationImgName = certificationImgName;
    }

    public String getIsOpenBankCard() {
        return isOpenBankCard;
    }

    public void setIsOpenBankCard(String isOpenBankCard) {
        this.isOpenBankCard = isOpenBankCard;
    }

    public Integer getFailCreateAge() {
        return failCreateAge;
    }

    public void setFailCreateAge(Integer failCreateAge) {
        this.failCreateAge = failCreateAge;
    }

    public Integer getNeedSignerAge() {
        return needSignerAge;
    }

    public void setNeedSignerAge(Integer needSignerAge) {
        this.needSignerAge = needSignerAge;
    }

    public Integer getSignerConditionAge() {
        return signerConditionAge;
    }

    public void setSignerConditionAge(Integer signerConditionAge) {
        this.signerConditionAge = signerConditionAge;
    }

    public String getTenantFlag() {
        return tenantFlag;
    }

    public void setTenantFlag(String tenantFlag) {
        this.tenantFlag = tenantFlag;
    }
}
